Page MenuHomePhabricator

[LibClang] Fix clang_getCursorAvailability
ClosedPublic

Authored by skalinichev on Sep 6 2015, 5:17 AM.

Details

Reviewers
klimek
Summary

Make it report correct availability kind for deleted methods

Diff Detail

Event Timeline

skalinichev updated this revision to Diff 34121.Sep 6 2015, 5:17 AM
skalinichev retitled this revision from to [LibClang] Fix clang_getCursorAvailability.
skalinichev updated this object.
skalinichev added a subscriber: cfe-commits.
klimek accepted this revision.Sep 7 2015, 3:13 AM
klimek added a reviewer: klimek.
klimek added a subscriber: klimek.

Wow, that goes a long while back into:
http://reviews.llvm.org/rL111858
where the current case was handled somewhere else, and seems to have been refactored into a place where it's incorrect.

Looks good.

This revision is now accepted and ready to land.Sep 7 2015, 3:13 AM

Ping? Can someone please submit this upstream?

Submitted as r248596. Sergey, if you plan to work on libclang more, please
get commit access (it's easy :) Thx

skalinichev closed this revision.Dec 13 2015, 4:05 AM